<?php
namespace ProVM\Tests\Extension;

use PHPUnit\Framework\TestCase;

abstract class AbstractPerformance extends TestCase
{
    protected float $startTime;
    protected function start(): void
    {
        $this->startTime = microtime(true);
    }
    protected function end(): float
    {
        return microtime(true) - $this->startTime;
    }
}